a958fb607768836a5bb6ac850d486e461a80f5f9
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20 #
21 # Copyright (C) 2012 - 2016 - Scilab Enterprises
22 #
23 # This file is hereby licensed under the terms of the GNU GPL v2.0,
24 # pursuant to article 5.3.4 of the CeCILL v.2.1.
25 # This file was originally licensed under the terms of the CeCILL v2.1,
26 # and continues to be available under such terms.
27 # For more information, see the COPYING file which you should have received
28 # along with this program.
29 #
30
31 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
32 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
33 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
34 #
35 # Copyright (C) 2012 - 2016 - Scilab Enterprises
36 #
37 # This file is hereby licensed under the terms of the GNU GPL v2.0,
38 # pursuant to article 5.3.4 of the CeCILL v.2.1.
39 # This file was originally licensed under the terms of the CeCILL v2.1,
40 # and continues to be available under such terms.
41 # For more information, see the COPYING file which you should have received
42 # along with this program.
43 #
44
45 ##########
46 ### Makefile included stuff
47 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
48 ##########
49
50
51 VPATH = @srcdir@
52 am__is_gnu_make = { \
53   if test -z '$(MAKELEVEL)'; then \
54     false; \
55   elif test -n '$(MAKE_HOST)'; then \
56     true; \
57   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
58     true; \
59   else \
60     false; \
61   fi; \
62 }
63 am__make_running_with_option = \
64   case $${target_option-} in \
65       ?) ;; \
66       *) echo "am__make_running_with_option: internal error: invalid" \
67               "target option '$${target_option-}' specified" >&2; \
68          exit 1;; \
69   esac; \
70   has_opt=no; \
71   sane_makeflags=$$MAKEFLAGS; \
72   if $(am__is_gnu_make); then \
73     sane_makeflags=$$MFLAGS; \
74   else \
75     case $$MAKEFLAGS in \
76       *\\[\ \   ]*) \
77         bs=\\; \
78         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
79           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
80     esac; \
81   fi; \
82   skip_next=no; \
83   strip_trailopt () \
84   { \
85     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
86   }; \
87   for flg in $$sane_makeflags; do \
88     test $$skip_next = yes && { skip_next=no; continue; }; \
89     case $$flg in \
90       *=*|--*) continue;; \
91         -*I) strip_trailopt 'I'; skip_next=yes;; \
92       -*I?*) strip_trailopt 'I';; \
93         -*O) strip_trailopt 'O'; skip_next=yes;; \
94       -*O?*) strip_trailopt 'O';; \
95         -*l) strip_trailopt 'l'; skip_next=yes;; \
96       -*l?*) strip_trailopt 'l';; \
97       -[dEDm]) skip_next=yes;; \
98       -[JT]) skip_next=yes;; \
99     esac; \
100     case $$flg in \
101       *$$target_option*) has_opt=yes; break;; \
102     esac; \
103   done; \
104   test $$has_opt = yes
105 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
106 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
107 pkgdatadir = $(datadir)/@PACKAGE@
108 pkgincludedir = $(includedir)/@PACKAGE@
109 pkglibdir = $(libdir)/@PACKAGE@
110 pkglibexecdir = $(libexecdir)/@PACKAGE@
111 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
112 install_sh_DATA = $(install_sh) -c -m 644
113 install_sh_PROGRAM = $(install_sh) -c
114 install_sh_SCRIPT = $(install_sh) -c
115 INSTALL_HEADER = $(INSTALL_DATA)
116 transform = $(program_transform_name)
117 NORMAL_INSTALL = :
118 PRE_INSTALL = :
119 POST_INSTALL = :
120 NORMAL_UNINSTALL = :
121 PRE_UNINSTALL = :
122 POST_UNINSTALL = :
123 build_triplet = @build@
124 host_triplet = @host@
125 @GIWS_TRUE@am__append_1 = giws
126 @SWIG_TRUE@am__append_2 = swig
127 @GUI_TRUE@am__append_3 = libsciui_data.la
128 @NEED_JAVA_TRUE@am__append_4 = java
129 subdir = modules/ui_data
130 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
131 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
132         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
133         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
134         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
135         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
136         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
137         $(top_srcdir)/m4/intel_compiler.m4 \
138         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
139         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
140         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
141         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
142         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
143         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
144         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
145         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
146         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
147         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
148         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
149 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
150         $(ACLOCAL_M4)
151 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
152 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
153 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
154 CONFIG_CLEAN_FILES =
155 CONFIG_CLEAN_VPATH_FILES =
156 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
157 am__vpath_adj = case $$p in \
158     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
159     *) f=$$p;; \
160   esac;
161 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
162 am__install_max = 40
163 am__nobase_strip_setup = \
164   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
165 am__nobase_strip = \
166   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
167 am__nobase_list = $(am__nobase_strip_setup); \
168   for p in $$list; do echo "$$p $$p"; done | \
169   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
170   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
171     if (++n[$$2] == $(am__install_max)) \
172       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
173     END { for (dir in files) print dir, files[dir] }'
174 am__base_list = \
175   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
176   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
177 am__uninstall_files_from_dir = { \
178   test -z "$$files" \
179     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
180     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
181          $(am__cd) "$$dir" && rm -f $$files; }; \
182   }
183 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
184         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
185         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
186         "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" \
187         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
188 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
189 libsciui_data_algo_la_LIBADD =
190 am__dirstamp = $(am__leading_dot)dirstamp
191 am__objects_1 = src/jni/libsciui_data_algo_la-ui_data_wrap.lo \
192         src/c/libsciui_data_algo_la-PutScilabVariable.lo
193 am__objects_2 = src/jni/libsciui_data_algo_la-BrowseVar.lo \
194         src/jni/libsciui_data_algo_la-EditVar.lo \
195         src/jni/libsciui_data_algo_la-FileBrowser.lo
196 am__objects_3 = src/cpp/libsciui_data_algo_la-BrowseVarManager.lo \
197         src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo
198 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
199         $(am__objects_3)
200 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
201 AM_V_lt = $(am__v_lt_@AM_V@)
202 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
203 am__v_lt_0 = --silent
204 am__v_lt_1 = 
205 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
206 libsciui_data_disable_la_LIBADD =
207 am__objects_4 = src/noui_data/libsciui_data_disable_la-noui_data.lo
208 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
209 libsciui_data_disable_la_OBJECTS =  \
210         $(am_libsciui_data_disable_la_OBJECTS)
211 am__DEPENDENCIES_1 =
212 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la \
213         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
214 am__objects_5 = sci_gateway/cpp/libsciui_data_la-sci_editvar.lo \
215         sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo \
216         sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo \
217         sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo \
218         sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo
219 am_libsciui_data_la_OBJECTS = $(am__objects_5)
220 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
221 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
222         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
223         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
224         $(LDFLAGS) -o $@
225 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
226 AM_V_P = $(am__v_P_@AM_V@)
227 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
228 am__v_P_0 = false
229 am__v_P_1 = :
230 AM_V_GEN = $(am__v_GEN_@AM_V@)
231 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
232 am__v_GEN_0 = @echo "  GEN     " $@;
233 am__v_GEN_1 = 
234 AM_V_at = $(am__v_at_@AM_V@)
235 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
236 am__v_at_0 = @
237 am__v_at_1 = 
238 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
239 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
240 am__depfiles_maybe = depfiles
241 am__mv = mv -f
242 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
243         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
244 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
245         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
246         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
247         $(AM_CFLAGS) $(CFLAGS)
248 AM_V_CC = $(am__v_CC_@AM_V@)
249 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
250 am__v_CC_0 = @echo "  CC      " $@;
251 am__v_CC_1 = 
252 CCLD = $(CC)
253 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
254         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
255         $(AM_LDFLAGS) $(LDFLAGS) -o $@
256 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
257 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
258 am__v_CCLD_0 = @echo "  CCLD    " $@;
259 am__v_CCLD_1 = 
260 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
261         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
262 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
263         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
264         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
265         $(AM_CXXFLAGS) $(CXXFLAGS)
266 AM_V_CXX = $(am__v_CXX_@AM_V@)
267 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
268 am__v_CXX_0 = @echo "  CXX     " $@;
269 am__v_CXX_1 = 
270 CXXLD = $(CXX)
271 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
272         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
273         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
274 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
275 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
276 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
277 am__v_CXXLD_1 = 
278 SOURCES = $(libsciui_data_algo_la_SOURCES) \
279         $(libsciui_data_disable_la_SOURCES) \
280         $(libsciui_data_la_SOURCES)
281 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
282         $(libsciui_data_disable_la_SOURCES) \
283         $(libsciui_data_la_SOURCES)
284 am__can_run_installinfo = \
285   case $$AM_UPDATE_INFO_DIR in \
286     n|no|NO) false;; \
287     *) (install-info --version) >/dev/null 2>&1;; \
288   esac
289 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
290         $(libsciui_data_la_sci_gateway_DATA) \
291         $(nobase_libsciui_data_la_icons_DATA)
292 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
293 # Read a list of newline-separated strings from the standard input,
294 # and print each of them once, without duplicates.  Input order is
295 # *not* preserved.
296 am__uniquify_input = $(AWK) '\
297   BEGIN { nonempty = 0; } \
298   { items[$$0] = 1; nonempty = 1; } \
299   END { if (nonempty) { for (i in items) print i; }; } \
300 '
301 # Make sure the list of sources is unique.  This is necessary because,
302 # e.g., the same source file might be shared among _SOURCES variables
303 # for different programs/libraries.
304 am__define_uniq_tagged_files = \
305   list='$(am__tagged_files)'; \
306   unique=`for i in $$list; do \
307     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
308   done | $(am__uniquify_input)`
309 ETAGS = etags
310 CTAGS = ctags
311 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
312         $(top_srcdir)/config/depcomp \
313         $(top_srcdir)/config/mkinstalldirs
314 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
315 ACLOCAL = @ACLOCAL@
316 ALL_LINGUAS = @ALL_LINGUAS@
317 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
318 AMTAR = @AMTAR@
319 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
320 ANT = @ANT@
321 ANTLR = @ANTLR@
322 AR = @AR@
323 ARPACK_LIBS = @ARPACK_LIBS@
324 ASM3 = @ASM3@
325 AUTOCONF = @AUTOCONF@
326 AUTOHEADER = @AUTOHEADER@
327 AUTOMAKE = @AUTOMAKE@
328 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
329 AWK = @AWK@
330 BATIK = @BATIK@
331 BLAS_CFLAGS = @BLAS_CFLAGS@
332 BLAS_LIBS = @BLAS_LIBS@
333 CC = @CC@
334 CCACHE = @CCACHE@
335 CCDEPMODE = @CCDEPMODE@
336 CFLAGS = @CFLAGS@
337 CHECKSTYLE = @CHECKSTYLE@
338 COBERTURA = @COBERTURA@
339 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
340 COMMONS_IO = @COMMONS_IO@
341 COMMONS_LOGGING = @COMMONS_LOGGING@
342 CPP = @CPP@
343 CPPFLAGS = @CPPFLAGS@
344 CURL_CFLAGS = @CURL_CFLAGS@
345 CURL_CONFIG = @CURL_CONFIG@
346 CURL_LIBS = @CURL_LIBS@
347 CURL_VERSION = @CURL_VERSION@
348 CXX = @CXX@
349 CXXCPP = @CXXCPP@
350 CXXDEPMODE = @CXXDEPMODE@
351 CXXFLAGS = @CXXFLAGS@
352 CYGPATH_W = @CYGPATH_W@
353 DEFS = @DEFS@
354 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
355 DEPDIR = @DEPDIR@
356 DLLTOOL = @DLLTOOL@
357 DOCBOOK_ROOT = @DOCBOOK_ROOT@
358 DOXYGEN_BIN = @DOXYGEN_BIN@
359 DSYMUTIL = @DSYMUTIL@
360 DUMPBIN = @DUMPBIN@
361 ECHO_C = @ECHO_C@
362 ECHO_N = @ECHO_N@
363 ECHO_T = @ECHO_T@
364 ECJ = @ECJ@
365 EGREP = @EGREP@
366 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
367 EXEEXT = @EXEEXT@
368 F77 = @F77@
369 FFLAGS = @FFLAGS@
370 FFTW3_LIB = @FFTW3_LIB@
371 FFTW_ENABLE = @FFTW_ENABLE@
372 FGREP = @FGREP@
373 FLEXDOCK = @FLEXDOCK@
374 FLIBS = @FLIBS@
375 FOP = @FOP@
376 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
377 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
378 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
379 FREEHEP_IO = @FREEHEP_IO@
380 FREEHEP_UTIL = @FREEHEP_UTIL@
381 GENHTML = @GENHTML@
382 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
383 GIWS_BIN = @GIWS_BIN@
384 GLUEGEN2_RT = @GLUEGEN2_RT@
385 GMSGFMT = @GMSGFMT@
386 GMSGFMT_015 = @GMSGFMT_015@
387 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
388 GREP = @GREP@
389 GUI_ENABLE = @GUI_ENABLE@
390 HAMCREST = @HAMCREST@
391 HAVE_CXX11 = @HAVE_CXX11@
392 HDF5_CFLAGS = @HDF5_CFLAGS@
393 HDF5_LIBS = @HDF5_LIBS@
394 HELP_ENABLE = @HELP_ENABLE@
395 INSTALL = @INSTALL@
396 INSTALL_DATA = @INSTALL_DATA@
397 INSTALL_PROGRAM = @INSTALL_PROGRAM@
398 INSTALL_SCRIPT = @INSTALL_SCRIPT@
399 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
400 INTLLIBS = @INTLLIBS@
401 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
402 JAR = @JAR@
403 JAVA = @JAVA@
404 JAVAC = @JAVAC@
405 JAVAC_DEBUG = @JAVAC_DEBUG@
406 JAVADOC = @JAVADOC@
407 JAVAH = @JAVAH@
408 JAVASCI_ENABLE = @JAVASCI_ENABLE@
409 JAVA_ENABLE = @JAVA_ENABLE@
410 JAVA_G = @JAVA_G@
411 JAVA_HOME = @JAVA_HOME@
412 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
413 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
414 JDB = @JDB@
415 JEUCLID_CORE = @JEUCLID_CORE@
416 JGRAPHX = @JGRAPHX@
417 JHALL = @JHALL@
418 JLATEXMATH = @JLATEXMATH@
419 JLATEXMATH_FOP = @JLATEXMATH_FOP@
420 JOGL2 = @JOGL2@
421 JROSETTA_API = @JROSETTA_API@
422 JROSETTA_ENGINE = @JROSETTA_ENGINE@
423 JUNIT4 = @JUNIT4@
424 LAPACK_LIBS = @LAPACK_LIBS@
425 LCOV = @LCOV@
426 LD = @LD@
427 LDFLAGS = @LDFLAGS@
428 LEX = @LEX@
429 LEXLIB = @LEXLIB@
430 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
431 LIBICONV = @LIBICONV@
432 LIBINTL = @LIBINTL@
433 LIBM = @LIBM@
434 LIBOBJS = @LIBOBJS@
435 LIBS = @LIBS@
436 LIBTOOL = @LIBTOOL@
437 LIPO = @LIPO@
438 LN_S = @LN_S@
439 LOGGING_LEVEL = @LOGGING_LEVEL@
440 LOOKS = @LOOKS@
441 LTLIBICONV = @LTLIBICONV@
442 LTLIBINTL = @LTLIBINTL@
443 LTLIBOBJS = @LTLIBOBJS@
444 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
445 LUCENE = @LUCENE@
446 LUCENE_ANALYZER = @LUCENE_ANALYZER@
447 LUCENE_PARSER = @LUCENE_PARSER@
448 MAINT = @MAINT@
449 MAKEINFO = @MAKEINFO@
450 MANIFEST_TOOL = @MANIFEST_TOOL@
451 MATIO_CFLAGS = @MATIO_CFLAGS@
452 MATIO_ENABLE = @MATIO_ENABLE@
453 MATIO_LIBS = @MATIO_LIBS@
454 MKDIR_P = @MKDIR_P@
455 MPI_ENABLE = @MPI_ENABLE@
456 MSGCAT = @MSGCAT@
457 MSGFMT = @MSGFMT@
458 MSGFMT_015 = @MSGFMT_015@
459 MSGMERGE = @MSGMERGE@
460 NM = @NM@
461 NMEDIT = @NMEDIT@
462 OBJDUMP = @OBJDUMP@
463 OBJEXT = @OBJEXT@
464 OCAMLC = @OCAMLC@
465 OCAMLDEP = @OCAMLDEP@
466 OCAMLLEX = @OCAMLLEX@
467 OCAMLOPT = @OCAMLOPT@
468 OCAMLYACC = @OCAMLYACC@
469 OPENMPI_CC = @OPENMPI_CC@
470 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
471 OPENMPI_CXX = @OPENMPI_CXX@
472 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
473 OPENMPI_LIBS = @OPENMPI_LIBS@
474 OPENMP_CFLAGS = @OPENMP_CFLAGS@
475 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
476 OPENMP_ENABLE = @OPENMP_ENABLE@
477 OPENMP_LIBS = @OPENMP_LIBS@
478 OTOOL = @OTOOL@
479 OTOOL64 = @OTOOL64@
480 PACKAGE = @PACKAGE@
481 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
482 PACKAGE_NAME = @PACKAGE_NAME@
483 PACKAGE_STRING = @PACKAGE_STRING@
484 PACKAGE_TARNAME = @PACKAGE_TARNAME@
485 PACKAGE_URL = @PACKAGE_URL@
486 PACKAGE_VERSION = @PACKAGE_VERSION@
487 PATH_SEPARATOR = @PATH_SEPARATOR@
488 PCRE_CFLAGS = @PCRE_CFLAGS@
489 PCRE_CONFIG = @PCRE_CONFIG@
490 PCRE_LIBS = @PCRE_LIBS@
491 PCRE_VERSION = @PCRE_VERSION@
492 PKG_CONFIG = @PKG_CONFIG@
493 POSUB = @POSUB@
494 POW_LIB = @POW_LIB@
495 PYTHON = @PYTHON@
496 RANLIB = @RANLIB@
497 RELOCATABLE = @RELOCATABLE@
498 RT_LIB = @RT_LIB@
499 SAXON = @SAXON@
500 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
501 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
502 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
503 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
504 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
505 SCIRENDERER = @SCIRENDERER@
506 SCIRENDERER_CP = @SCIRENDERER_CP@
507 SCI_CFLAGS = @SCI_CFLAGS@
508 SCI_CXXFLAGS = @SCI_CXXFLAGS@
509 SCI_FFLAGS = @SCI_FFLAGS@
510 SCI_LDFLAGS = @SCI_LDFLAGS@
511 SED = @SED@
512 SET_MAKE = @SET_MAKE@
513 SET_RELOCATABLE = @SET_RELOCATABLE@
514 SHELL = @SHELL@
515 SKINLF = @SKINLF@
516 SPLINT = @SPLINT@
517 STRIP = @STRIP@
518 SWIG_BIN = @SWIG_BIN@
519 SWIG_JAVA = @SWIG_JAVA@
520 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
521 SWIG_SCILAB = @SWIG_SCILAB@
522 TCLTK_LIBS = @TCLTK_LIBS@
523 TCL_INC_PATH = @TCL_INC_PATH@
524 TK_INC_PATH = @TK_INC_PATH@
525 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
526 UMFPACK_ENABLE = @UMFPACK_ENABLE@
527 UMFPACK_LIB = @UMFPACK_LIB@
528 USE_NLS = @USE_NLS@
529 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
530 VALGRIND_LIBS = @VALGRIND_LIBS@
531 VERSION = @VERSION@
532 WITH_OCAML = @WITH_OCAML@
533 WITH_TKSCI = @WITH_TKSCI@
534 XCOS_ENABLE = @XCOS_ENABLE@
535 XGETTEXT = @XGETTEXT@
536 XGETTEXT_015 = @XGETTEXT_015@
537 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
538 XMKMF = @XMKMF@
539 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
540 XML_APIS_EXT = @XML_APIS_EXT@
541 XML_CONFIG = @XML_CONFIG@
542 XML_FLAGS = @XML_FLAGS@
543 XML_LIBS = @XML_LIBS@
544 XML_VERSION = @XML_VERSION@
545 X_CFLAGS = @X_CFLAGS@
546 X_EXTRA_LIBS = @X_EXTRA_LIBS@
547 X_LIBS = @X_LIBS@
548 X_PRE_LIBS = @X_PRE_LIBS@
549 YACC = @YACC@
550 YFLAGS = @YFLAGS@
551 abs_builddir = @abs_builddir@
552 abs_srcdir = @abs_srcdir@
553 abs_top_builddir = @abs_top_builddir@
554 abs_top_srcdir = @abs_top_srcdir@
555 ac_ct_AR = @ac_ct_AR@
556 ac_ct_CC = @ac_ct_CC@
557 ac_ct_CXX = @ac_ct_CXX@
558 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
559 ac_ct_F77 = @ac_ct_F77@
560 am__include = @am__include@
561 am__leading_dot = @am__leading_dot@
562 am__quote = @am__quote@
563 am__tar = @am__tar@
564 am__untar = @am__untar@
565 bindir = @bindir@
566 build = @build@
567 build_alias = @build_alias@
568 build_cpu = @build_cpu@
569 build_os = @build_os@
570 build_vendor = @build_vendor@
571 builddir = @builddir@
572 cxx_present = @cxx_present@
573 datadir = @datadir@
574 datarootdir = @datarootdir@
575 docdir = @docdir@
576 dvidir = @dvidir@
577 exec_prefix = @exec_prefix@
578 host = @host@
579 host_alias = @host_alias@
580 host_cpu = @host_cpu@
581 host_os = @host_os@
582 host_vendor = @host_vendor@
583 htmldir = @htmldir@
584 includedir = @includedir@
585 infodir = @infodir@
586 install_sh = @install_sh@
587 libdir = @libdir@
588 libexecdir = @libexecdir@
589 localedir = @localedir@
590 localstatedir = @localstatedir@
591 mandir = @mandir@
592 mkdir_p = @mkdir_p@
593 oldincludedir = @oldincludedir@
594 pdfdir = @pdfdir@
595 prefix = @prefix@
596 program_transform_name = @program_transform_name@
597 psdir = @psdir@
598 runstatedir = @runstatedir@
599 sbindir = @sbindir@
600 sharedstatedir = @sharedstatedir@
601 srcdir = @srcdir@
602 sysconfdir = @sysconfdir@
603 target_alias = @target_alias@
604 top_build_prefix = @top_build_prefix@
605 top_builddir = @top_builddir@
606 top_srcdir = @top_srcdir@
607 yacc_present = @yacc_present@
608
609 #### Target ######
610 modulename = ui_data
611
612 #### ui_data : Conf files ####
613 libsciui_data_la_rootdir = $(mydatadir)
614 libsciui_data_la_root_DATA = license.txt
615
616 #### ui_data : init scripts ####
617 libsciui_data_la_etcdir = $(mydatadir)/etc
618 libsciui_data_la_etc_DATA = \
619         etc/newsfeed.css \
620         etc/newsfeed.xml \
621         etc/ui_data.quit \
622         etc/ui_data.start \
623         etc/variablebrowser_menubar.xml \
624         etc/variableeditor_menubar.xml \
625         etc/XConfiguration-variables.xml \
626         etc/XConfiguration-variables.xsl
627
628 UI_DATA_JNI_SOURCES = \
629     src/jni/BrowseVar.cpp \
630     src/jni/EditVar.cpp \
631         src/jni/FileBrowser.cpp
632
633 UI_DATA_C_SOURCES = \
634     src/jni/ui_data_wrap.c \
635     src/c/PutScilabVariable.c
636
637 UI_DATA_CXX_SOURCES = \
638     src/cpp/BrowseVarManager.cpp \
639     src/cpp/FileBrowserChDir.cpp
640
641 GIWS_WRAPPERS = \
642     src/jni/BrowseVar.giws.xml \
643     src/jni/EditVar.giws.xml \
644     src/jni/FileBrowser.giws.xml
645
646 SWIG_WRAPPERS = \
647     src/jni/ui_data.i
648
649 BUILT_SOURCES = $(am__append_1) $(am__append_2)
650 GATEWAY_CXX_SOURCES = \
651     sci_gateway/cpp/sci_editvar.cpp \
652     sci_gateway/cpp/sci_browsevar.cpp \
653     sci_gateway/cpp/sci_filebrowser.cpp \
654     sci_gateway/cpp/sci_updatebrowsevar.cpp \
655     sci_gateway/cpp/sci_closeEditvar.cpp
656
657 libsciui_data_la_CPPFLAGS = \
658     $(JAVA_JNI_INCLUDE) \
659     -I$(srcdir)/includes/ \
660     -I$(srcdir)/src/cpp/ \
661     -I$(srcdir)/src/c/ \
662     -I$(srcdir)/src/jni/ \
663     -I$(top_srcdir)/modules/ast/includes/ast/ \
664     -I$(top_srcdir)/modules/ast/includes/exps/ \
665     -I$(top_srcdir)/modules/ast/includes/operations/ \
666     -I$(top_srcdir)/modules/ast/includes/parse/ \
667     -I$(top_srcdir)/modules/ast/includes/symbol/ \
668     -I$(top_srcdir)/modules/ast/includes/system_env/ \
669     -I$(top_srcdir)/modules/ast/includes/types/ \
670     -I$(top_srcdir)/modules/ast/includes/analysis/ \
671     -I$(top_srcdir)/modules/jvm/includes/ \
672     -I$(top_srcdir)/modules/output_stream/includes/ \
673     -I$(top_srcdir)/modules/commons/src/jni/ \
674     -I$(top_srcdir)/modules/localization/includes/ \
675     -I$(top_srcdir)/modules/api_scilab/includes/ \
676     -I$(top_srcdir)/modules/fileio/includes/ \
677     -I$(top_srcdir)/modules/string/includes/ \
678     -I$(top_srcdir)/modules/dynamic_link/includes/ \
679     -I$(top_srcdir)/modules/threads/includes/ \
680     -I$(top_srcdir)/modules/console/includes/ \
681     $(AM_CPPFLAGS)
682
683
684 # Without the ui_data module
685 libsciui_data_disable_la_CPPFLAGS = \
686     -I$(srcdir)/includes/ \
687     -I$(top_srcdir)/modules/ast/includes/ast/ \
688     -I$(top_srcdir)/modules/ast/includes/exps/ \
689     -I$(top_srcdir)/modules/ast/includes/operations/ \
690     -I$(top_srcdir)/modules/ast/includes/parse/ \
691     -I$(top_srcdir)/modules/ast/includes/symbol/ \
692     -I$(top_srcdir)/modules/ast/includes/system_env/ \
693     -I$(top_srcdir)/modules/ast/includes/types/ \
694     -I$(top_srcdir)/modules/ast/includes/analysis/ \
695     -I$(top_srcdir)/modules/localization/includes/ \
696     -I$(top_srcdir)/modules/output_stream/includes \
697     $(AM_CPPFLAGS)
698
699 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
700 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
701 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
702 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la
703 libsciui_data_la_LDFLAGS = $(AM_LDFLAGS)
704 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
705 libsciui_data_la_SOURCES = $(GATEWAY_CXX_SOURCES)
706 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
707
708 # For the code check (splint)
709 CHECK_SRC = $(UI_DATA_C_SOURCES)
710 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
711 libsciui_data_la_LIBADD = libsciui_data-algo.la $(X_LIBS) $(X_EXTRA_LIBS)
712
713 #### ui_data : gateway declaration ####
714 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
715 libsciui_data_la_sci_gateway_DATA = sci_gateway/ui_data_gateway.xml
716
717 #### ui_data : icons files ####
718 #
719 # Generated with:
720 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
721 libsciui_data_la_iconsdir = $(mydatadir)/
722 nobase_libsciui_data_la_icons_DATA = \
723 images/icons/16x16/mimetypes/array_up.png \
724 images/icons/16x16/mimetypes/boolean.png \
725 images/icons/16x16/mimetypes/cell.png \
726 images/icons/16x16/mimetypes/double.png \
727 images/icons/16x16/mimetypes/fptr.png \
728 images/icons/16x16/mimetypes/function.png \
729 images/icons/16x16/mimetypes/handle.png \
730 images/icons/16x16/mimetypes/int.png \
731 images/icons/16x16/mimetypes/list.png \
732 images/icons/16x16/mimetypes/mlist.png \
733 images/icons/16x16/mimetypes/noicon.png \
734 images/icons/16x16/mimetypes/object.png \
735 images/icons/16x16/mimetypes/polynomial.png \
736 images/icons/16x16/mimetypes/sparse.png \
737 images/icons/16x16/mimetypes/string.png \
738 images/icons/16x16/mimetypes/timeseries.png \
739 images/icons/16x16/mimetypes/tlist.png \
740 images/icons/16x16/mimetypes/uint.png \
741 images/icons/16x16/mimetypes/user.png
742
743 @GUI_TRUE@USEANT = 1
744
745 # Where all the Scilab stuff is installed (macros, help, ...)
746 mydatadir = $(pkgdatadir)/modules/$(modulename)
747
748 # Set AM_* SCI detected settings
749 AM_CPPFLAGS = $(SCI_CPPFLAGS)
750 AM_CFLAGS = $(SCI_CFLAGS)
751 AM_CXXFLAGS = $(SCI_CXXFLAGS)
752 # append includes to AM_FFLAGS to manage fortran includes
753 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
754
755 # Tag shared libraries with the Scilab version
756 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
757
758 # splint options
759 SPLINT_OPTIONS = -weak -booltype BOOL
760
761 ########################### JAVA ######################################
762 #### We are delegating java compilation to ant... Thanks to that
763 #### the procedure will be the same with Microsoft Windows (C)
764 #### and Linux/Unix
765 #######################################################################
766 TARGETS_ALL = $(am__append_4)
767
768 ################ MACROS ######################
769 # Rule to build a macro
770 # NOT USED  AT THE MOMENT
771 SUFFIXES = .sci 
772
773 ########### INSTALL DOCUMENTATION ###################
774
775 # Install documentation files into the right target
776 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
777 # automake needs the html files to be present which is not the case when
778 # we are building Scilab
779
780 # Where it should be installed
781 pkgdocdir = $(mydatadir)
782
783 # What is the mask of the help source
784 DOCMASKXML = *.xml
785
786 # What is the mask of the MathML sources
787 DOCMASKMML = *.mml
788
789 ########### INSTALL DATA ###################
790 # Install macros, help & demos
791 # Where it should be installed
792 pkgmacrosdir = $(mydatadir)
793 # Which directory we process
794 MACRODIRS = macros/
795 # Mask of the Scilab sources macros
796 MACROMASK = *.sci
797 # Mask of the Scilab executable sources macros
798 MACROBUILDMASK = *.sce
799 # Mask of the Scilab compiled macros
800 MACROBINMASK = *.bin
801 # List of the standard directory for tests
802 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
803 # Where the demos should be installed
804 pkgdemosdir = $(mydatadir)
805 # List of the standard directory for demos
806 DEMOS_DIR = demos
807 # List of the standard directory for examples
808 EXAMPLES_DIR = examples
809 # Where to export JAVA archives (.jar)
810 JARDIR = jar/
811 # JAR files mask
812 JARMASK = *.jar
813 # Chapter file 
814 HELP_CHAPTERDIR = help/
815 HELP_CHAPTERFILE = addchapter.sce
816 HELP_CHAPTERLANG = en_US fr_FR pt_BR
817 all: $(BUILT_SOURCES)
818         $(MAKE) $(AM_MAKEFLAGS) all-am
819
820 .SUFFIXES:
821 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
822 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
823         @for dep in $?; do \
824           case '$(am__configure_deps)' in \
825             *$$dep*) \
826               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
827                 && { if test -f $@; then exit 0; else break; fi; }; \
828               exit 1;; \
829           esac; \
830         done; \
831         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
832         $(am__cd) $(top_srcdir) && \
833           $(AUTOMAKE) --foreign modules/ui_data/Makefile
834 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
835         @case '$?' in \
836           *config.status*) \
837             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
838           *) \
839             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
840             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
841         esac;
842 $(top_srcdir)/Makefile.incl.am $(am__empty):
843
844 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
845         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
846
847 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
848         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
849 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
850         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
851 $(am__aclocal_m4_deps):
852
853 clean-noinstLTLIBRARIES:
854         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
855         @list='$(noinst_LTLIBRARIES)'; \
856         locs=`for p in $$list; do echo $$p; done | \
857               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
858               sort -u`; \
859         test -z "$$locs" || { \
860           echo rm -f $${locs}; \
861           rm -f $${locs}; \
862         }
863
864 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
865         @$(NORMAL_INSTALL)
866         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
867         list2=; for p in $$list; do \
868           if test -f $$p; then \
869             list2="$$list2 $$p"; \
870           else :; fi; \
871         done; \
872         test -z "$$list2" || { \
873           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
874           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
875           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
876           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
877         }
878
879 uninstall-pkglibLTLIBRARIES:
880         @$(NORMAL_UNINSTALL)
881         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
882         for p in $$list; do \
883           $(am__strip_dir) \
884           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
885           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
886         done
887
888 clean-pkglibLTLIBRARIES:
889         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
890         @list='$(pkglib_LTLIBRARIES)'; \
891         locs=`for p in $$list; do echo $$p; done | \
892               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
893               sort -u`; \
894         test -z "$$locs" || { \
895           echo rm -f $${locs}; \
896           rm -f $${locs}; \
897         }
898 src/jni/$(am__dirstamp):
899         @$(MKDIR_P) src/jni
900         @: > src/jni/$(am__dirstamp)
901 src/jni/$(DEPDIR)/$(am__dirstamp):
902         @$(MKDIR_P) src/jni/$(DEPDIR)
903         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
904 src/jni/libsciui_data_algo_la-ui_data_wrap.lo:  \
905         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
906 src/c/$(am__dirstamp):
907         @$(MKDIR_P) src/c
908         @: > src/c/$(am__dirstamp)
909 src/c/$(DEPDIR)/$(am__dirstamp):
910         @$(MKDIR_P) src/c/$(DEPDIR)
911         @: > src/c/$(DEPDIR)/$(am__dirstamp)
912 src/c/libsciui_data_algo_la-PutScilabVariable.lo:  \
913         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
914 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/$(am__dirstamp) \
915         src/jni/$(DEPDIR)/$(am__dirstamp)
916 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/$(am__dirstamp) \
917         src/jni/$(DEPDIR)/$(am__dirstamp)
918 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/$(am__dirstamp) \
919         src/jni/$(DEPDIR)/$(am__dirstamp)
920 src/cpp/$(am__dirstamp):
921         @$(MKDIR_P) src/cpp
922         @: > src/cpp/$(am__dirstamp)
923 src/cpp/$(DEPDIR)/$(am__dirstamp):
924         @$(MKDIR_P) src/cpp/$(DEPDIR)
925         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
926 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo:  \
927         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
928 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo:  \
929         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
930
931 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
932         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
933 src/noui_data/$(am__dirstamp):
934         @$(MKDIR_P) src/noui_data
935         @: > src/noui_data/$(am__dirstamp)
936 src/noui_data/$(DEPDIR)/$(am__dirstamp):
937         @$(MKDIR_P) src/noui_data/$(DEPDIR)
938         @: > src/noui_data/$(DEPDIR)/$(am__dirstamp)
939 src/noui_data/libsciui_data_disable_la-noui_data.lo:  \
940         src/noui_data/$(am__dirstamp) \
941         src/noui_data/$(DEPDIR)/$(am__dirstamp)
942
943 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
944         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
945 sci_gateway/cpp/$(am__dirstamp):
946         @$(MKDIR_P) sci_gateway/cpp
947         @: > sci_gateway/cpp/$(am__dirstamp)
948 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
949         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
950         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
951 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo:  \
952         sci_gateway/cpp/$(am__dirstamp) \
953         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
954 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo:  \
955         sci_gateway/cpp/$(am__dirstamp) \
956         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
957 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo:  \
958         sci_gateway/cpp/$(am__dirstamp) \
959         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
960 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo:  \
961         sci_gateway/cpp/$(am__dirstamp) \
962         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
963 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo:  \
964         sci_gateway/cpp/$(am__dirstamp) \
965         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
966
967 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
968         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
969
970 mostlyclean-compile:
971         -rm -f *.$(OBJEXT)
972         -rm -f sci_gateway/cpp/*.$(OBJEXT)
973         -rm -f sci_gateway/cpp/*.lo
974         -rm -f src/c/*.$(OBJEXT)
975         -rm -f src/c/*.lo
976         -rm -f src/cpp/*.$(OBJEXT)
977         -rm -f src/cpp/*.lo
978         -rm -f src/jni/*.$(OBJEXT)
979         -rm -f src/jni/*.lo
980         -rm -f src/noui_data/*.$(OBJEXT)
981         -rm -f src/noui_data/*.lo
982
983 distclean-compile:
984         -rm -f *.tab.c
985
986 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
987 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@
988 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
989 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
990 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
991 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
992 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@
993 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
994 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
995 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
996 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
997 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
998 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
999
1000 .c.o:
1001 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1002 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1003 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1004 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1005 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1006 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1007
1008 .c.obj:
1009 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1010 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1011 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1012 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1013 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1014 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1015
1016 .c.lo:
1017 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1018 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1019 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1020 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1021 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1022 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1023
1024 src/jni/libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
1025 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1026 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
1027 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='src/jni/libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1028 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1029 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1030
1031 src/c/libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
1032 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1033 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
1034 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='src/c/libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
1035 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1036 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1037
1038 src/noui_data/libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
1039 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1040 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
1041 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='src/noui_data/libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
1042 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1043 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1044
1045 .cpp.o:
1046 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1047 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1048 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1049 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1050 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1051 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1052
1053 .cpp.obj:
1054 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1055 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1056 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1057 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1058 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1059 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1060
1061 .cpp.lo:
1062 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1063 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1064 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1065 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1066 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1067 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1068
1069 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
1070 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1071 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
1072 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='src/jni/libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
1073 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1074 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1075
1076 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
1077 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-EditVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1078 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
1079 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='src/jni/libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
1080 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1081 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1082
1083 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
1084 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1085 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
1086 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='src/jni/libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
1087 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1088 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1089
1090 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
1091 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1092 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
1093 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='src/cpp/libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
1094 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1095 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1096
1097 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
1098 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1099 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
1100 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
1101 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1102 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1103
1104 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
1105 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_editvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1106 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo
1107 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
1108 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1109 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1110
1111 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
1112 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1113 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
1114 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
1115 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1116 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1117
1118 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
1119 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1120 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
1121 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
1122 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1123 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1124
1125 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
1126 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1127 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
1128 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
1129 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1130 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1131
1132 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
1133 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1134 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
1135 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
1136 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1137 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1138
1139 mostlyclean-libtool:
1140         -rm -f *.lo
1141
1142 clean-libtool:
1143         -rm -rf .libs _libs
1144         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1145         -rm -rf src/c/.libs src/c/_libs
1146         -rm -rf src/cpp/.libs src/cpp/_libs
1147         -rm -rf src/jni/.libs src/jni/_libs
1148         -rm -rf src/noui_data/.libs src/noui_data/_libs
1149 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1150         @$(NORMAL_INSTALL)
1151         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1152         if test -n "$$list"; then \
1153           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1154           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1155         fi; \
1156         for p in $$list; do \
1157           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1158           echo "$$d$$p"; \
1159         done | $(am__base_list) | \
1160         while read files; do \
1161           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1162           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1163         done
1164
1165 uninstall-libsciui_data_la_etcDATA:
1166         @$(NORMAL_UNINSTALL)
1167         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1168         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1169         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1170 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1171         @$(NORMAL_INSTALL)
1172         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1173         if test -n "$$list"; then \
1174           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1175           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1176         fi; \
1177         for p in $$list; do \
1178           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1179           echo "$$d$$p"; \
1180         done | $(am__base_list) | \
1181         while read files; do \
1182           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1183           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1184         done
1185
1186 uninstall-libsciui_data_la_rootDATA:
1187         @$(NORMAL_UNINSTALL)
1188         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1189         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1190         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1191 install-libsciui_data_la_sci_gatewayDATA: $(libsciui_data_la_sci_gateway_DATA)
1192         @$(NORMAL_INSTALL)
1193         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1194         if test -n "$$list"; then \
1195           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1196           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit 1; \
1197         fi; \
1198         for p in $$list; do \
1199           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1200           echo "$$d$$p"; \
1201         done | $(am__base_list) | \
1202         while read files; do \
1203           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1204           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit $$?; \
1205         done
1206
1207 uninstall-libsciui_data_la_sci_gatewayDATA:
1208         @$(NORMAL_UNINSTALL)
1209         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1210         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1211         dir='$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1212 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1213         @$(NORMAL_INSTALL)
1214         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1215         if test -n "$$list"; then \
1216           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1217           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1218         fi; \
1219         $(am__nobase_list) | while read dir files; do \
1220           xfiles=; for file in $$files; do \
1221             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1222             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1223           test -z "$$xfiles" || { \
1224             test "x$$dir" = x. || { \
1225               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1226               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1227             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1228             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1229         done
1230
1231 uninstall-nobase_libsciui_data_la_iconsDATA:
1232         @$(NORMAL_UNINSTALL)
1233         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1234         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1235         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1236
1237 ID: $(am__tagged_files)
1238         $(am__define_uniq_tagged_files); mkid -fID $$unique
1239 tags: tags-am
1240 TAGS: tags
1241
1242 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1243         set x; \
1244         here=`pwd`; \
1245         $(am__define_uniq_tagged_files); \
1246         shift; \
1247         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1248           test -n "$$unique" || unique=$$empty_fix; \
1249           if test $$# -gt 0; then \
1250             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1251               "$$@" $$unique; \
1252           else \
1253             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1254               $$unique; \
1255           fi; \
1256         fi
1257 ctags: ctags-am
1258
1259 CTAGS: ctags
1260 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1261         $(am__define_uniq_tagged_files); \
1262         test -z "$(CTAGS_ARGS)$$unique" \
1263           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1264              $$unique
1265
1266 GTAGS:
1267         here=`$(am__cd) $(top_builddir) && pwd` \
1268           && $(am__cd) $(top_srcdir) \
1269           && gtags -i $(GTAGS_ARGS) "$$here"
1270 cscopelist: cscopelist-am
1271
1272 cscopelist-am: $(am__tagged_files)
1273         list='$(am__tagged_files)'; \
1274         case "$(srcdir)" in \
1275           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1276           *) sdir=$(subdir)/$(srcdir) ;; \
1277         esac; \
1278         for i in $$list; do \
1279           if test -f "$$i"; then \
1280             echo "$(subdir)/$$i"; \
1281           else \
1282             echo "$$sdir/$$i"; \
1283           fi; \
1284         done >> $(top_builddir)/cscope.files
1285
1286 distclean-tags:
1287         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1288
1289 distdir: $(DISTFILES)
1290         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1291         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1292         list='$(DISTFILES)'; \
1293           dist_files=`for file in $$list; do echo $$file; done | \
1294           sed -e "s|^$$srcdirstrip/||;t" \
1295               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1296         case $$dist_files in \
1297           */*) $(MKDIR_P) `echo "$$dist_files" | \
1298                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1299                            sort -u` ;; \
1300         esac; \
1301         for file in $$dist_files; do \
1302           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1303           if test -d $$d/$$file; then \
1304             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1305             if test -d "$(distdir)/$$file"; then \
1306               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1307             fi; \
1308             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1309               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1310               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1311             fi; \
1312             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1313           else \
1314             test -f "$(distdir)/$$file" \
1315             || cp -p $$d/$$file "$(distdir)/$$file" \
1316             || exit 1; \
1317           fi; \
1318         done
1319 check-am: all-am
1320         $(MAKE) $(AM_MAKEFLAGS) check-local
1321 check: $(BUILT_SOURCES)
1322         $(MAKE) $(AM_MAKEFLAGS) check-am
1323 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1324 installdirs:
1325         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1326           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1327         done
1328 install: $(BUILT_SOURCES)
1329         $(MAKE) $(AM_MAKEFLAGS) install-am
1330 install-exec: install-exec-am
1331 install-data: install-data-am
1332 uninstall: uninstall-am
1333
1334 install-am: all-am
1335         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1336
1337 installcheck: installcheck-am
1338 install-strip:
1339         if test -z '$(STRIP)'; then \
1340           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1341             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1342               install; \
1343         else \
1344           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1345             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1346             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1347         fi
1348 mostlyclean-generic:
1349
1350 clean-generic:
1351
1352 distclean-generic:
1353         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1354         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1355         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1356         -rm -f sci_gateway/cpp/$(am__dirstamp)
1357         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1358         -rm -f src/c/$(am__dirstamp)
1359         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1360         -rm -f src/cpp/$(am__dirstamp)
1361         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1362         -rm -f src/jni/$(am__dirstamp)
1363         -rm -f src/noui_data/$(DEPDIR)/$(am__dirstamp)
1364         -rm -f src/noui_data/$(am__dirstamp)
1365
1366 maintainer-clean-generic:
1367         @echo "This command is intended for maintainers to use"
1368         @echo "it deletes files that may require special tools to rebuild."
1369         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1370 clean: clean-am
1371
1372 clean-am: clean-generic clean-libtool clean-local \
1373         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1374
1375 distclean: distclean-am
1376         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1377         -rm -f Makefile
1378 distclean-am: clean-am distclean-compile distclean-generic \
1379         distclean-local distclean-tags
1380
1381 dvi: dvi-am
1382
1383 dvi-am:
1384
1385 html: html-am
1386
1387 html-am:
1388
1389 info: info-am
1390
1391 info-am:
1392
1393 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1394         install-libsciui_data_la_rootDATA \
1395         install-libsciui_data_la_sci_gatewayDATA \
1396         install-nobase_libsciui_data_la_iconsDATA
1397
1398 install-dvi: install-dvi-am
1399
1400 install-dvi-am:
1401
1402 install-exec-am: install-pkglibLTLIBRARIES
1403
1404 install-html: install-html-am
1405
1406 install-html-am: install-html-local
1407
1408 install-info: install-info-am
1409
1410 install-info-am:
1411
1412 install-man:
1413
1414 install-pdf: install-pdf-am
1415
1416 install-pdf-am:
1417
1418 install-ps: install-ps-am
1419
1420 install-ps-am:
1421
1422 installcheck-am:
1423
1424 maintainer-clean: maintainer-clean-am
1425         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR) src/jni/$(DEPDIR) src/noui_data/$(DEPDIR)
1426         -rm -f Makefile
1427 maintainer-clean-am: distclean-am maintainer-clean-generic
1428
1429 mostlyclean: mostlyclean-am
1430
1431 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1432         mostlyclean-libtool
1433
1434 pdf: pdf-am
1435
1436 pdf-am:
1437
1438 ps: ps-am
1439
1440 ps-am:
1441
1442 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1443         uninstall-libsciui_data_la_rootDATA \
1444         uninstall-libsciui_data_la_sci_gatewayDATA \
1445         uninstall-nobase_libsciui_data_la_iconsDATA \
1446         uninstall-pkglibLTLIBRARIES
1447
1448 .MAKE: all check check-am install install-am install-strip
1449
1450 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1451         check-local clean clean-generic clean-libtool clean-local \
1452         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1453         ctags ctags-am distclean distclean-compile distclean-generic \
1454         distclean-libtool distclean-local distclean-tags distdir dvi \
1455         dvi-am html html-am info info-am install install-am \
1456         install-data install-data-am install-data-local install-dvi \
1457         install-dvi-am install-exec install-exec-am install-html \
1458         install-html-am install-html-local install-info \
1459         install-info-am install-libsciui_data_la_etcDATA \
1460         install-libsciui_data_la_rootDATA \
1461         install-libsciui_data_la_sci_gatewayDATA install-man \
1462         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1463         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1464         install-ps-am install-strip installcheck installcheck-am \
1465         installdirs maintainer-clean maintainer-clean-generic \
1466         mostlyclean mostlyclean-compile mostlyclean-generic \
1467         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1468         uninstall-am uninstall-libsciui_data_la_etcDATA \
1469         uninstall-libsciui_data_la_rootDATA \
1470         uninstall-libsciui_data_la_sci_gatewayDATA \
1471         uninstall-nobase_libsciui_data_la_iconsDATA \
1472         uninstall-pkglibLTLIBRARIES
1473
1474 .PRECIOUS: Makefile
1475
1476
1477 # This target enables tests for Scilab
1478 check-local: $(top_builddir)/scilab-bin test
1479         if test -d $(mydatadir)/tests; then \
1480           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1481         fi
1482 check-code:
1483         if test -f build.xml; then \
1484                 $(ANT) checkstyle; \
1485         fi
1486         if test -x "$(SPLINT)"; then \
1487                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1488         fi
1489 @NEED_JAVA_TRUE@java:
1490 # Some configurations needs to export JAVA_HOME in the current env
1491 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1492 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1493 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1494 @NEED_JAVA_TRUE@                $(ANT); \
1495 @NEED_JAVA_TRUE@        fi
1496
1497 @NEED_JAVA_TRUE@clean-java:
1498 # Some configurations needs to export JAVA_HOME in the current env
1499 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1500 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1501 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1502 @NEED_JAVA_TRUE@                $(ANT) clean; \
1503 @NEED_JAVA_TRUE@        fi;
1504
1505 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1506 # We call the target swig-build on the variable SWIG_WRAPPERS
1507
1508 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1509 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1510 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1511 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1512 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1513 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1514 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1515 @SWIG_TRUE@             done; \
1516 @SWIG_TRUE@     fi
1517
1518 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1519 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1520 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1521 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1522 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1523 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1524 @SWIG_TRUE@             done; \
1525 @SWIG_TRUE@     fi
1526
1527 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1528 # We call the target swig-build on the variable SWIG_WRAPPERS
1529
1530 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1531 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1532 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1533 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1534 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1535 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1536 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1537 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1538 @GIWS_TRUE@                     else \
1539 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1540 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1541 @GIWS_TRUE@                     fi \
1542 @GIWS_TRUE@             done; \
1543 @GIWS_TRUE@     fi
1544
1545 @GIWS_TRUE@giws-exception:
1546 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1547 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1548 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1549
1550 macros:
1551         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1552                 echo "Error : Cannot build $< : Scilab has not been built"; \
1553         else \
1554                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1555         fi)
1556
1557 # Removes the macros
1558 clean-macros:
1559 # Removes macros (*.bin generated from .sci)
1560         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1561                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1562                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1563         done
1564
1565 test:
1566 # More tests could be added here
1567         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1568         if test -f build.xml -a $$USEANT -eq 1; then \
1569                 $(ANT) test; \
1570         fi
1571
1572 all-local: $(TARGETS_ALL)
1573
1574 .sci.bin:
1575         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1576         echo "Error : Cannot build $< : Scilab has not been build"; \
1577         else \
1578         echo "Creating $@"; \
1579         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1580         fi )
1581
1582 install-html-local:
1583
1584 install-data-local-local:
1585 # Mainly for javasci
1586         @if test -d $(srcdir)/javadoc; then \
1587                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1588         fi
1589 # If the user wants the help sources to be installed
1590 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1591 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1592 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1593 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1594 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1595 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1596 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1597 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1598 @INSTALL_HELP_XML_TRUE@           done ; \
1599 @INSTALL_HELP_XML_TRUE@         fi; \
1600 @INSTALL_HELP_XML_TRUE@  fi; \
1601 @INSTALL_HELP_XML_TRUE@ done; \
1602 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1603 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1604 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1605 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1606 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1607 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1608 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1609 @INSTALL_HELP_XML_TRUE@           done ; \
1610 @INSTALL_HELP_XML_TRUE@         fi; \
1611 @INSTALL_HELP_XML_TRUE@ fi
1612 install-data-local:
1613 # Install the tests
1614         @echo "-------- Install tests (if any) --------"; \
1615         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1616           if test -d $(srcdir)/$$dir/; then \
1617             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1618                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1619                     if test -d "$(srcdir)/$$dir/$$file"; then \
1620                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1621                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1622                     else \
1623                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1624                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1625                     fi \
1626                   done; \
1627           fi; \
1628         done
1629 # Install the help chapter
1630         @echo "-------- Install the help chapter (if any) --------"; \
1631         for lang in $(HELP_CHAPTERLANG); do \
1632                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1633                 if test -f $$HELPFILE; then \
1634                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1635                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1636                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1637                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1638                 fi; \
1639         done
1640 # Install the demos & examples
1641         @echo "-------- Install demos & examples (if any) --------"; \
1642         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1643           if test -d $(srcdir)/$$dir/; then \
1644             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1645                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1646                     if test -d "$(srcdir)/$$dir/$$file"; then \
1647                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1648                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1649                     else \
1650                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1651                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1652                     fi \
1653                   done; \
1654           fi; \
1655         done
1656 # Install the macros
1657         @echo "-------- Install macros (if any) --------"; \
1658         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1659           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1660                 if test -d $(srcdir)/$$dir/; then \
1661                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1662                         if test -n "$(MACROSSPECIALEXT)"; then \
1663                                 specialExtDir=""; \
1664                                 for specialExt in $(MACROSSPECIALEXT); do \
1665                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1666                                 done; \
1667                                 FILELIST="$$FILELIST $$specialExtDir"; \
1668                         fi; \
1669                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1670                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1671                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1672                   done; \
1673                 fi; \
1674         done
1675 # Install java files (.jar)
1676         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1677         echo "-------- Install jar files --------"; \
1678     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1679           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1680                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1681                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1682           done ; \
1683         fi
1684
1685 ########### CLEAN ###################
1686 # Clean help (generated automatically by Scilab)
1687 # It used to clean the macro (clean-macros) but this was causing
1688 # make clean && make to fail Scilab startup
1689 @NEED_JAVA_TRUE@clean-local: clean-java
1690 @NEED_JAVA_FALSE@clean-local:
1691
1692 distclean-local:
1693         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1694
1695 .PHONY: macros java swig giws
1696
1697 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1698 # Otherwise a system limit (for SysV at least) may be exceeded.
1699 .NOEXPORT: